<?php
session_start();
require_once "../init.php";
require_once "../authority.inc.php";

$keyword = $_POST['keyword'];

$keyword=trim($keyword);
if($keyword){
	$wheres=" AND (NewsID like '%$keyword%' or Title like '%$keyword%') ";
}
//得到总记录数
$sql="select count(*) from news where 1 $wheres";
$rs=$DB->query($sql);
$pageSize=30;
$totalRecord=$DB->result($rs,0,0);
$totalPage=@ceil($totalRecord/$pageSize);
if(!$page)$page=1;
$offset=($page-1)*$pageSize;
//查询
$sql = "select * from news where 1 $wheres order by dtCreate desc limit $offset,$pageSize";
$result = $DB->query($sql);
$pageList = GetPageList($_SERVER[PHP_SELF],"page","15",$totalPage,$page);
$PNum = $DB->num_rows($result);



$arProType = array();
$proType = new ProductType1();
$tree = $proType->ShowProTypeTree('0',0,$arProType);
//print_r($tree);
$hot="pro";
?>

  <!DOCTYPE HTML>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">

<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<!--[if lt IE 9]>
<script type="text/javascript" src="../lib/html5.js"></script>
<script type="text/javascript" src="../lib/respond.min.js"></script>
<script type="text/javascript" src="../lib/PIE_IE678.js"></script>
<![endif]-->
<link rel="stylesheet" type="text/css" href="../static/h-ui/css/H-ui.min.css" />
<link rel="stylesheet" type="text/css" href="../static/h-ui.admin/css/H-ui.admin.css" />
<link rel="stylesheet" type="text/css" href="../lib/Hui-iconfont/1.0.7/iconfont.css" />
<link rel="stylesheet" type="text/css" href="../lib/icheck/icheck.css" />
<link rel="stylesheet" type="text/css" href="../static/h-ui.admin/skin/default/skin.css" id="skin" />
<link rel="stylesheet" type="text/css" href="../static/h-ui.admin/css/style.css" />
<!--[if IE 6]>
<script type="text/javascript" src="../static/h-ui.admin/js/DD_belatedPNG_0.0.8a-min.js" ></script>
<script>DD_belatedPNG.fix('*');</script>
<![endif]-->


<title>网站新闻管理</title>
<LINK href="../share/style.css" rel=stylesheet>
<script src='../share/global.js'></script>
</head>
<body>

<nav class="breadcrumb"><i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span> 资讯管理 <span class="c-gray en">&gt;</span> 资讯列表 <a class="btn btn-success radius r" style="line-height:1.6em;margin-top:3px" href="javascript:location.replace(location.href);" title="刷新" ><i class="Hui-iconfont">&#xe68f;</i></a></nav>

<form method='post' action='<?=$_SERVER['PHP_SELF']?>'>
<div class="page-container">
	<div class="text-c"> <span class="select-box inline">
		

		     <?
	  $treestring .= "<select name='ClassName' class='select'>";
	  for($i=0;$i<count($tree);$i++){
	 
          $treestring .= "<option value='".$tree[$i]['IDProduct']."'>" .$tree[$i]['Disp'] . "</option>";
		
		 
	  }
      $treestring .= "</select>";
	  echo $treestring;
	 ?>
		
		
		</span> 日期范围：
		<input type="text" onfocus="WdatePicker({maxDate:'#F{$dp.$D(\'logmax\')||\'%y-%M-%d\'}'})" id="logmin" class="input-text Wdate" style="width:120px;">
		-
		<input type="text" onfocus="WdatePicker({minDate:'#F{$dp.$D(\'logmin\')}',maxDate:'%y-%M-%d'})" id="logmax" class="input-text Wdate" style="width:120px;">
		<input type="text" name="keyword" id="" placeholder=" 资讯名称" style="width:250px" class="input-text">
		<button name="" id="" class="btn btn-success" type="submit"><i class="Hui-iconfont">&#xe665;</i> 搜资讯</button>
	</div>
</form>
	<? include "news_nav.inc.php"?>
	
	<div class="mt-20">


			<?
	if($PNum){
?>
		<table class="table table-border table-bordered table-bg table-hover table-sort">
			<thead>
				<tr class="text-c">
					<th width="25"><input type="checkbox" name="" value=""></th>
					<th width="80">ID</th>
					<th>标题</th>

					<th width="80">分类</th>
					<th width="80">作者</th>
					<th width="120">更新时间</th>
					<th width="75">浏览次数</th>
						<th width="60">语言</th>
					<th width="60">发布状态</th>
				
					<th width="120">操作</th>
				</tr>
			</thead>
<tbody>
	        <? while($NewsInfo=$DB->fetch_array($result)){?>
			
				<tr class="text-c">
					<td><input type="checkbox" value="" name=""></td>
					<td><?=$NewsInfo[NewsID]?></td>
					<td class="text-l"><u style="cursor:pointer" class="text-primary" onClick="article_edit('查看','/news/show.php?NewsID=<?=$NewsInfo[NewsID]?>','<?=$NewsInfo[NewsID]?>')" title="查看"><?=$NewsInfo[Title]?></u></td>
					<td>
					
					<?   
					$IDProduct =$NewsInfo[ClassName];

	$proInfo = $proType->GetProduct1($IDProduct);
	?>
					
					<?=$proInfo['ProductName']?></td>


					<td><?=$NewsInfo[UserName]?></td>
					<td><?=$NewsInfo[dtCreate]?></td>
					<td><?=$NewsInfo[nub]?></td>
						<td><?=$NewsInfo[lang]?></td>
					<td class="td-status"><span class="label label-success radius"><?=$NewsInfo[showIndex]?"√":"X"?></span></td>
					<td class="f-14 td-manage">
					 <? $key = GetHashKey('news'.$NewsInfo[NewsID]);?>
<a  style="text-decoration:none" href="/news/show.php?NewsID=<?=$NewsInfo[NewsID]?>"  href="javascript:;"  target="_blank" title="浏览">浏览</a>
					<a style="text-decoration:none" class="ml-5" onClick="article_edit('资讯编辑','news_edit.php?NewsID=<?=$NewsInfo[NewsID]?>&key=<?=$key?>','<?=$NewsInfo[NewsID]?>')" href="javascript:;" title="编辑"><i class="Hui-iconfont">&#xe6df;</i></a> <a style="text-decoration:none"  class="ml-5"  href="news_del.php?NewsID=<?=$NewsInfo[NewsID]?>&key=<?=$key?>" title="删除"><i class="Hui-iconfont">&#xe6e2;</i></a></td>
				</tr>
				       <? }?>
			</tbody>
		</table>
	</div>
</div>




      <?	}else{
			   echo "<center><br><br>没有相关记录<br><br></center>";
			}
?>
<br>    
<? 
$DB->close();
include "../share/bottom.php";
?>


<script type="text/javascript" src="../lib/jquery/1.9.1/jquery.min.js"></script> 
<script type="text/javascript" src="../lib/layer/2.1/layer.js"></script> 
<script type="text/javascript" src="../lib/My97DatePicker/WdatePicker.js"></script> 
<script type="text/javascript" src="../lib/datatables/1.10.0/jquery.dataTables.min.js" charset="utf-8"></script> 
<script type="text/javascript" src="../static/h-ui/js/H-ui.js"></script> 
<script type="text/javascript" src="../static/h-ui.admin/js/H-ui.admin.js"></script>
<script type="text/javascript">
$('.table-sort').dataTable({
	"aaSorting": [[ 1, "desc" ]],//默认第几个排序
	"bStateSave": true,//状态保存
	"aoColumnDefs": [
	  //{"bVisible": false, "aTargets": [ 3 ]} //控制列的隐藏显示
	  {"orderable":false,"aTargets":[0,8]}// 不参与排序的列
	]
});

/*资讯-添加*/
function article_add(title,url,w,h){
	var index = layer.open({
		type: 2,
		title: title,
		content: url
	});
	layer.full(index);
}
/*资讯-编辑*/
function article_edit(title,url,id,w,h){
	var index = layer.open({
		type: 2,
		title: title,
		content: url
	});
	layer.full(index);
}
/*资讯-删除*/
function article_del(obj,id){
	layer.confirm('确认要删除吗？',function(index){
		$(obj).parents("tr").remove();
		layer.msg('已删除!',1);
	});
}
/*资讯-审核*/
function article_shenhe(obj,id){
	layer.confirm('审核文章？', {
		btn: ['通过','不通过','取消'], 
		shade: false,
		closeBtn: 0
	},
	function(){
		$(obj).parents("tr").find(".td-manage").prepend('<a class="c-primary" onClick="article_start(this,id)" href="javascript:;" title="申请上线">申请上线</a>');
		$(obj).parents("tr").find(".td-status").html('<span class="label label-success radius">已发布</span>');
		$(obj).remove();
		layer.msg('已发布', {icon:6,time:1000});
	},
	function(){
		$(obj).parents("tr").find(".td-manage").prepend('<a class="c-primary" onClick="article_shenqing(this,id)" href="javascript:;" title="申请上线">申请上线</a>');
		$(obj).parents("tr").find(".td-status").html('<span class="label label-danger radius">未通过</span>');
		$(obj).remove();
    	layer.msg('未通过', {icon:5,time:1000});
	});	
}
/*资讯-下架*/
function article_stop(obj,id){
	layer.confirm('确认要下架吗？',function(index){
		$(obj).parents("tr").find(".td-manage").prepend('<a style="text-decoration:none" onClick="article_start(this,id)" href="javascript:;" title="发布"><i class="Hui-iconfont">&#xe603;</i></a>');
		$(obj).parents("tr").find(".td-status").html('<span class="label label-defaunt radius">已下架</span>');
		$(obj).remove();
		layer.msg('已下架!',{icon: 5,time:1000});
	});
}

/*资讯-发布*/
function article_start(obj,id){
	layer.confirm('确认要发布吗？',function(index){
		$(obj).parents("tr").find(".td-manage").prepend('<a style="text-decoration:none" onClick="article_stop(this,id)" href="javascript:;" title="下架"><i class="Hui-iconfont">&#xe6de;</i></a>');
		$(obj).parents("tr").find(".td-status").html('<span class="label label-success radius">已发布</span>');
		$(obj).remove();
		layer.msg('已发布!',{icon: 6,time:1000});
	});
}
/*资讯-申请上线*/
function article_shenqing(obj,id){
	$(obj).parents("tr").find(".td-status").html('<span class="label label-default radius">待审核</span>');
	$(obj).parents("tr").find(".td-manage").html("");
	layer.msg('已提交申请，耐心等待审核!', {icon: 1,time:2000});
}

</script> 


</body>
</html>
